Subject: Re: I just pulled, and git log --graph does not show all

From: Uwe Brauer <[email-masked]>
Date: Wed, 09 Oct 2019 17:06:19 +0300

> Anyway, in your first email you asked how you can merge that branch
   > into 'master'.  The command 'git merge origin/strings' will "merge" it
   > without actually creating a merge commit, because 'strings' builds
   > entirely on top of 'master'; this is what Git calls a "fast-forward
   > merge".  If you do want a merge commit, then run 'git merge --no-ff
   > origin/strings'.

Interestingly enough it is impossible in mercurial to have a (not ff)
merge in mercurial in this situation, because you have only one head
(linear history) and two bookmarks. That is one thing I dislike in
mercurial, but it can be easily avoided by using named branches or
topics, but any way this is off topic.